[Overview][Types][Classes][Variables][Index] | Reference for unit 'LazDeviceApis' (#lcl)

# TLazMessaging.SendMessage

Sends a message to the target specified on it.

## Declaration

Source position: lazdeviceapis.pas line 97

`public procedure TLazMessaging.SendMessage(`
`AMsg: TLazDeviceMessage`
`);`

## Description

The message to be sent should be created with the method CreateMessage from this same class and later released with FreeMessage. The same message can be sent multiple times, but ideally it should not be edited after sending the first time to avoid confusion when obtaining the message object back in the status callback.